# __gnu_parallel::split_consistently< true, RandomAccessIterator, Comparator, SortingPlacesIterator > Struct Template Reference

Split by exact splitting. More...

List of all members.

## Public Member Functions

- void operator() (const thread_index_t iam, PMWMSSortingData< RandomAccessIterator > *sd, Comparator &comp, const typename std::iterator_traits< RandomAccessIterator >::difference_type num_samples) const

## Detailed Description

### template<typename RandomAccessIterator, typename Comparator, typename SortingPlacesIterator>
struct __gnu_parallel::split_consistently< true, RandomAccessIterator, Comparator, SortingPlacesIterator >

Split by exact splitting.

Definition at line 129 of file multiway_mergesort.h.

The documentation for this struct was generated from the following file:

- multiway_mergesort.h